#!/bin/sh
TZ=GMT
export TZ
for file; do
size="`stat $file | awk '/Size:/ {print $2;}'`"
time="`stat $file | awk '/Modify:/ {gsub(/^[^:]*: */,"");print;}'`"
md5="`md5sum -b $file | awk '{print $1;}'`"
sha1="`sha1sum --b $file | awk '{print $1;}'`"
(
cat <<EOF
File: $file
Date: $time
Size: $size
MD5 : $md5
SHA1: $sha1
Key : 0x39CC33DB <hno@squid-cache.org>
      fingerprint = 7995 07A7 43F2 18BF 7F55  5459 E75E 90C0 39CC 33DB
      keyring = http://www.squid-cache.org/pgp.asc
      keyserver = subkeys.pgp.net
EOF
gpg --use-agent -o- -ba $file
) > $file.asc
done

